Skip to main content
Change a location's visibility

Path Parameters

id
string
required

Body

application/json
visibility
enum<string>
required

Private is visible to the owning account and its authorized hierarchy. Public is shared with the owning account's connected network.

Available options:
private,
public

Response

The location with its new visibility.

id
string
Example:

12345

owner
object

The account that owns and manages this location.

company_name
string
Example:

"Logistics WorldWide Co"

name
string
Example:

"Saint Quentin warehouse"

client_reference
string

Your own identifier for the location.

Example:

"WH-LYS-01"

address
string
Example:

"357 allée des Tilleuls"

city
string
Example:

"Saint Quentin Fallavier"

zip_code
string
Example:

69300

state
string

State or province code.

Example:

"NY"

country
string
Example:

"FR"

contacts
object[]
opening_hours
string
Example:

"Monday to Friday 8am to 5pm"

requires_appointment
boolean

Specifies if appointments are required for loading and unloading at this location.

requires_tailgate_truck
boolean

Specifies if liftgate trucks are required for this location.

Example:

false

additional_information
string
Example:

"Please avoid Friday after 4pm"

visibility
enum<string>

Private locations are visible to the owner and its authorized hierarchy. Public locations are shared with the owner's connected network.

Available options:
private,
public